<?php

/*  thread_view.php: View a single message thread
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: thread_view.php,v 1.65 2005/06/13 18:12:16 sailfrog Exp $
*/

require_once('../lib/wrapper_functions.php');
$start = hm_time();

/* collect and validate incoming vars */
$hm_input = hm_validate_input($_POST, $_GET, 'thread_view');

/* set ini values and check/get the SESSION vars */
if (hm_session_continue($hm_input['id'], $config_file)) {
    $config = $_SESSION['config'];
}
if (isset($_SESSION['settings']['template_set'])) {
    $template_set = $_SESSION['settings']['template_set'];
}
elseif (isset($config['template_set']) && $config['template_set'] != '') {
    $template_set = $config['template_set'];
}
else {
    $template_set = 'default';
}

$hm_input['id'] = session_id();
$str = $_SESSION['str'];

/* login to imap */
if (!$imap_stream = hm_imap_login($_SESSION['user'], $_SESSION['pass'], $config,
                                  $hasty_key, false, false)) {
    hm_logged_out($config_file);
}

/* check for keep as new setting */
if (isset($hm_input['keep_as_new'])) {
    hm_select_mailbox($imap_stream, $hm_input['kan_folder'], false, true);
    hm_imap_action($imap_stream, $hm_input['kan_uid'], 'UNREAD', false, false);
}

/* get unseen status */
$unseen = hm_unseen_status($imap_stream, $_SESSION['folders']);

/* select the mailbox for imap */
hm_select_mailbox($imap_stream, $hm_input['mailbox']);

/* sort information */

$cache = false;
if (isset($_SESSION['thread_data'][$hm_input['mailbox']]) && 
    !isset($hm_input['update'])) {
    foreach ($_SESSION['thread_data'][$hm_input['mailbox']] as $index => $array) {
        if (in_array($hm_input['uid'], $array[1])) {
            $sort_info = $array;
            $cache = true;
            break;
        }
    }
}
if (!$cache) {
    $sort_info = &hmw_get_sort_info($imap_stream, 'THREAD_R', 
                                  $hm_input['mailbox'], $hm_input['uid']);
}
foreach ($sort_info[1] as $index => $message) {
    $ref[] = $sort_info[0][$message];
}

/* toolbar */
$page_data = array();
if (isset($_SESSION['notices']) && !empty($_SESSION['notices'])) {
    $page_data['notices'] = $_SESSION['notices'];
    $_SESSION['notices'] = array();
}
else {
    $page_data['notices'] = false;
}
list($page_data['td'], $page_data['hd']) = hm_toolbar2($imap_stream, $hm_input['mailbox'],
                                           $unseen, false, $str[173]);

$thread_count = count($sort_info[1]);
$parent_array = array ( 3 => $sort_info[0]);
$headers = &hm_get_messages (implode(',', $sort_info[1]), $imap_stream);
$start = true;
$row = 0;


$page_data['nn4'] = isset($_SESSION['nn4_warning']);
$page_data['is_palm'] = isset($_SESSION['palm']);
$page_data['input_id'] = $hm_input['id'];
$page_data['input_mailbox'] = $hm_input['mailbox'];
$page_data['input_uid'] = $hm_input['uid'];
$page_data['input_url_id'] = urlencode($hm_input['id']);
$page_data['mailbox'] = urldecode($hm_input['mailbox']);
$page_data['cache'] = $cache;
$page_data['thread_count'] = $thread_count;

$page_data['lbl_saved_thread'] = $str[172];
$page_data['lbl_update'] = $str[61];
$page_data['lbl_found_in'] = $str[171];
$page_data['lbl_msg_with_subject'] = $str[214];
$page_data['subject'] = $headers[$sort_info[1][0]][0];
$page_data['subject_lbl'] = $str[21];
$page_data['from_lbl'] = $str[22];
$page_data['date_lbl'] = $str[23];
$page_data['size_lbl'] = $str[24];
$page_data['lbl_folder_size'] = 'Folder list size';
if (isset($settings['folder_size'])) {
    $page_data['folder_size'] = $settings['folder_size'];
}
else {
    $page_data['folder_size'] = 140;
}
$page_data['start_time'] = $start;

$rows = array();
foreach ($sort_info[1] as $uid) {
    $array = $headers[$uid];
    $current = (isset($hm_input['uid']) && $hm_input['uid'] == $uid) ? true : false;
    $rows[] = hm_print_row2($array, false, $hm_input['mailbox'], $hm_input['id'], $uid,
                 $parent_array, true, false, false, true, $current, $ref, $row);
    $row++;
}
$page_data['rows'] = $rows;

hm_imap_logout($imap_stream); 

/* output HTTP headers */
hm_output_http_headers();

/* output page */
hm_output_page($page_data, 'thread_view_template.php', $template_set);


?>
